Package: org.gradle.plugins.ide.idea.model

## [Java] Class Path

- org.gradle.plugins.ide.idea.model.Path

- Represents a path in a format as used often in ipr and iml files.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Path (String url)`
    `Path (String url, String canonicalUrl, String relPath)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getCanonicalUrl()` Canonical url.
    `String` | `getRelPath()` The relative path of the path.
    `String` | `getUrl()` The url of the path.
    `int` | `hashCode()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Path(String url)

    - #### public Path(String url, String canonicalUrl, String relPath)

  - ### Method Detail

    - #### @Override public boolean equals(Object o)

    - #### public String getCanonicalUrl()

      Canonical url.

    - #### public String getRelPath()

      The relative path of the path. Must not be null.

    - #### public String getUrl()

      The url of the path. Must not be null.

    - #### @Override public int hashCode()

    - #### @Override public String toString()